## org.gnu.gtk
Class TargetFlags

    java.lang.Object
      org.gnu.glib.Flags
          org.gnu.gtk.TargetFlags

public class TargetFlags
extends Flags

Field Summary
`static TargetFlags` `NO_RESTRICTION`
`static TargetFlags` `SAME_APP`
`static TargetFlags` `SAME_WIDGET`

Fields inherited from class org.gnu.glib.Flags
`value_`

Method Summary
`TargetFlags` `and(TargetFlags other)`
`static TargetFlags` `intern(int value)`
`TargetFlags` `or(TargetFlags other)`
`boolean` `test(TargetFlags other)`
`TargetFlags` `xor(TargetFlags other)`

Methods inherited from class org.gnu.glib.Flags
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NO_RESTRICTION

    public static final TargetFlags NO_RESTRICTION

### SAME_APP

    public static final TargetFlags SAME_APP

### SAME_WIDGET

    public static final TargetFlags SAME_WIDGET

Method Detail

### intern

    public static TargetFlags intern(int value)

### or

    public TargetFlags or(TargetFlags other)

### and

    public TargetFlags and(TargetFlags other)

### xor

    public TargetFlags xor(TargetFlags other)

### test

    public boolean test(TargetFlags other)